<template>
  <t-dropdown>

    <div
      slot="trigger"
      slot-scope="{
        mousedownHandler,
        focusHandler,
        blurHandler,
        keydownHandler
      }"
    >
      <button
        @mousedown="mousedownHandler"
        @focus="focusHandler"
        @blur="blurHandler"
        @keydown="keydownHandler"
        class="cursor-pointer flex items-center"
      >

        <div class="flex items-center justify-center flex-shrink-0">

          <!-- User name -->
          <div class="whitespace-nowrap overflow-hidden text-primary dark:text-light">
            <v-icon name="user" class="mr-2"></v-icon>{{ $root.auth.user().username }}
          </div>

        </div>

      </button>

    </div>

    <!-- Dropdown content -->
    <div
      slot-scope="{
        hide,
        blurHandler
      }"
      class="flex flex-col w-full rounded mt-2 border-2 border-primary overflow-hidden"
    >

      <!-- Settings button -->
      <t-dropdown-button
        class="w-full flex items-center py-2 px-2 bg-light dark:bg-dark hover:bg-gray-100 dark:hover:bg-dark-2"
        role="menuitem"
        @blur="blurHandler"
        @click.native="hide()"
        to="/settings"
      >

        <!-- Icon -->
        <v-icon name="cog" class="mr-2"/>
        <!-- Text -->
        <span>{{ $t('views.Settings.Index.title') | capitalize }}</span>

      </t-dropdown-button>

      <!-- Logout button -->
      <t-dropdown-button
        class="w-full flex items-center py-2 px-2 bg-light dark:bg-dark hover:bg-gray-100 dark:hover:bg-dark-2"
        role="menuitem"
        @blur="blurHandler"
        @click="(function () { $root.auth.logout(); hide() })()"
      >

        <!-- Icon -->
        <v-icon name="sign-out-alt" class="mr-2"/>
        <!-- Text -->
        <span>{{ $t('user.logout') | capitalize }}</span>

      </t-dropdown-button>

    </div>

  </t-dropdown>
</template>

<script>
/**
 * UserDropdown component
 */
export default {
  name: 'UserDropdown'
}
</script>
